/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
(function(){var e=["exports","require","vs/base/common/winjs.base","vs/base/common/event","vs/base/common/types","vs/base/common/errors","vs/base/common/lifecycle","vs/base/common/platform","vs/base/common/objects","vs/base/parts/ipc/node/ipc.cp","vs/base/common/cancellation","vs/platform/telemetry/node/appInsightsAppender","vs/base/common/async","vs/base/node/event","vs/base/parts/ipc/common/ipc","vs/base/common/callbackList","vs/platform/telemetry/common/telemetryIpc","child_process","vs/base/common/winjs.base.raw","applicationinsights","vs/workbench/parts/debug/node/telemetryApp"],t=function(t){for(var n=[],r=0,i=t.length;r<i;r++)n[r]=e[t[r]];return n};define(e[7],t([1,0]),function(e,t){"use strict";function n(){return"undefined"!=typeof _.Worker}var r=!1,i=!1,o=!1,s=!1,c=!1,a=!1,u=!1,l=void 0,f=void 0;if(t.LANGUAGE_DEFAULT="en","object"==typeof process){r="win32"===process.platform,i="darwin"===process.platform,o="linux"===process.platform,s=!r&&0===process.getuid();var p=process.env.VSCODE_NLS_CONFIG;if(p)try{var h=JSON.parse(p),d=h.availableLanguages["*"];l=h.locale,f=d?d:t.LANGUAGE_DEFAULT}catch(e){}c=!0}else if("object"==typeof navigator){var v=navigator.userAgent;r=v.indexOf("Windows")>=0,i=v.indexOf("Macintosh")>=0,o=v.indexOf("Linux")>=0,a=!0,l=navigator.language,f=l,u=!!self.QUnit}!function(e){e[e.Web=0]="Web",e[e.Mac=1]="Mac",e[e.Linux=2]="Linux",e[e.Windows=3]="Windows"}(t.Platform||(t.Platform={}));var m=t.Platform;t._platform=m.Web,c&&(i?t._platform=m.Mac:r?t._platform=m.Windows:o&&(t._platform=m.Linux)),t.isWindows=r,t.isMacintosh=i,t.isLinux=o,t.isRootUser=s,t.isNative=c,t.isWeb=a,t.isQunit=u,t.platform=t._platform,t.language=f,t.locale=l;var _="object"==typeof self?self:global;t.globals=_,t.hasWebWorkerSupport=n,t.setTimeout=_.setTimeout.bind(_),t.clearTimeout=_.clearTimeout.bind(_),t.setInterval=_.setInterval.bind(_),t.clearInterval=_.clearInterval.bind(_)}),define(e[4],t([1,0]),function(e,t){"use strict";function n(e){return Array.isArray?Array.isArray(e):!(!e||typeof e.length!==m.number||e.constructor!==Array)}function r(e){return typeof e===m.string||e instanceof String}function i(e){return n(e)&&e.every(function(e){return r(e)})}function o(e){return!(typeof e!==m.object||null===e||Array.isArray(e)||e instanceof RegExp||e instanceof Date)}function s(e){return(typeof e===m.number||e instanceof Number)&&!isNaN(e)}function c(e){return e===!0||e===!1}function a(e){return typeof e===m.undefined}function u(e){return a(e)||null===e}function l(e){if(!o(e))return!1;for(var t in e)if(_.call(e,t))return!1;return!0}function f(e){return typeof e===m.function}function p(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return e&&e.length>0&&e.every(f)}function h(e,t){for(var n=Math.min(e.length,t.length),r=0;r<n;r++)d(e[r],t[r])}function d(e,t){if(r(t)){if(typeof e!==t)throw new Error("argument does not match constraint: typeof "+t)}else if(f(t)){if(e instanceof t)return;if(e&&e.constructor===t)return;if(1===t.length&&t.call(void 0,e)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}function v(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];var r=Object.create(e.prototype);return e.apply(r,t),r}var m={number:"number",string:"string",undefined:"undefined",object:"object",function:"function"};t.isArray=n,t.isString=r,t.isStringArray=i,t.isObject=o,t.isNumber=s,t.isBoolean=c,t.isUndefined=a,t.isUndefinedOrNull=u;var _=Object.prototype.hasOwnProperty;t.isEmptyObject=l,t.isFunction=f,t.areFunctions=p,t.validateConstraints=h,t.validateConstraint=d,t.create=v}),define(e[5],t([1,0,7,4]),function(e,t,n,r){"use strict";function i(e){t.errorHandler.setUnexpectedErrorHandler(e)}function o(e){a(e)||t.errorHandler.onUnexpectedError(e)}function s(e){return e.then(null,o)}function c(e){if(e instanceof Error){var t=e.name,n=e.message,r=e.stacktrace||e.stack;return{$isError:!0,name:t,message:n,stack:r}}return e}function a(e){return e instanceof Error&&e.name===_&&e.message===_}function u(){var e=new Error(_);return e.name=e.message,e}function l(){return new Error("Not Implemented")}function f(e){return e?new Error("Illegal argument: "+e):new Error("Illegal argument")}function p(e){return e?new Error("Illegal state: "+e):new Error("Illegal state")}function h(e){return e?new Error("readonly property '"+e+" cannot be changed'"):new Error("readonly property cannot be changed")}function d(e,t){void 0===t&&(t={});var n=new Error(e);return r.isNumber(t.severity)&&(n.severity=t.severity),t.actions&&(n.actions=t.actions),n}function v(e){return e?e.message?e.message:e.stack?e.stack.split("\n")[0]:String(e):"Error"}var m=function(){function e(){this.listeners=[],this.unexpectedErrorHandler=function(e){n.setTimeout(function(){if(e.stack)throw new Error(e.message+"\n\n"+e.stack);throw e},0)}}return e.prototype.addListener=function(e){var t=this;return this.listeners.push(e),function(){t._removeListener(e)}},e.prototype.emit=function(e){this.listeners.forEach(function(t){t(e)})},e.prototype._removeListener=function(e){this.listeners.splice(this.listeners.indexOf(e),1)},e.prototype.setUnexpectedErrorHandler=function(e){this.unexpectedErrorHandler=e},e.prototype.getUnexpectedErrorHandler=function(){return this.unexpectedErrorHandler},e.prototype.onUnexpectedError=function(e){this.unexpectedErrorHandler(e),this.emit(e)},e}();t.ErrorHandler=m,t.errorHandler=new m,t.setUnexpectedErrorHandler=i,t.onUnexpectedError=o,t.onUnexpectedPromiseError=s,t.transformErrorForSerialization=c;var _="Canceled";t.isPromiseCanceledError=a,t.canceled=u,t.notImplemented=l,t.illegalArgument=f,t.illegalState=p,t.readonly=h,t.create=d,t.getErrorMessage=v}),define(e[15],t([1,0,5]),function(e,t,n){"use strict";var r=function(){function e(){}return e.prototype.add=function(e,t,n){var r=this;void 0===t&&(t=null),this._callbacks||(this._callbacks=[],this._contexts=[]),this._callbacks.push(e),this._contexts.push(t),Array.isArray(n)&&n.push({dispose:function(){return r.remove(e,t)}})},e.prototype.remove=function(e,t){if(void 0===t&&(t=null),this._callbacks){for(var n=!1,r=0,i=this._callbacks.length;r<i;r++)if(this._callbacks[r]===e){if(this._contexts[r]===t)return this._callbacks.splice(r,1),void this._contexts.splice(r,1);n=!0}if(n)throw new Error("When adding a listener with a context, you should remove it with the same context")}},e.prototype.invoke=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];if(this._callbacks){for(var r=[],i=this._callbacks.slice(0),o=this._contexts.slice(0),s=0,c=i.length;s<c;s++)try{r.push(i[s].apply(o[s],e))}catch(e){n.onUnexpectedError(e)}return r}},e.prototype.isEmpty=function(){return!this._callbacks||0===this._callbacks.length},e.prototype.entries=function(){var e=this;return this._callbacks?this._callbacks.map(function(t,n){return[t,e._contexts[n]]}):[]},e.prototype.dispose=function(){this._callbacks=void 0,this._contexts=void 0},e}();Object.defineProperty(t,"__esModule",{value:!0}),t.default=r});var n=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define(e[6],t([1,0,4]),function(e,t,r){"use strict";function i(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];var n=e[0];return r.isArray(n)&&(e=n),e.forEach(function(e){return e&&e.dispose()}),[]}function o(e){return{dispose:function(){return i(e)}}}function s(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return o(e.map(function(e){return{dispose:e}}))}t.empty=Object.freeze({dispose:function(){}}),t.dispose=i,t.combinedDisposable=o,t.toDisposable=s;var c=function(){function e(){this._toDispose=[]}return e.prototype.dispose=function(){this._toDispose=i(this._toDispose)},e.prototype._register=function(e){return this._toDispose.push(e),e},e}();t.Disposable=c;var a=function(e){function t(){e.apply(this,arguments)}return n(t,e),t.prototype.add=function(e){if(!Array.isArray(e))return this._register(e);for(var t=0,n=e;t<n.length;t++){var r=n[t];return this._register(r)}},t}(c);t.Disposables=a;var u=function(){function e(){this.references=Object.create(null)}return e.prototype.acquire=function(e){var t=this,n=this.references[e];n||(n=this.references[e]={counter:0,object:this.createReferencedObject(e)});var r=n.object,i=function(){0===--n.counter&&(t.destroyReferencedObject(n.object),delete t.references[e])};return n.counter++,{object:r,dispose:i}},e}();t.ReferenceCollection=u;var l=function(){function e(e){this.object=e}return e.prototype.dispose=function(){},e}();t.ImmortalReference=l}),define(e[3],t([1,0,6,15]),function(e,t,n,r){"use strict";function i(e,t){return function(n,r,i){var o=e.addListener2(t,function(){n.apply(r,arguments)});return Array.isArray(i)&&i.push(o),o}}function o(e){var t=new m,n=!1;return e.then(null,function(){return null}).then(function(){n?t.fire():setTimeout(function(){return t.fire()},0)}),n=!0,t.event}function s(e){var t=null,n=null,r=new m({onFirstListenerAdd:function(){t=e.then(function(e){return n=e(function(e){return r.fire(e)})},function(){return null})},onLastListenerRemove:function(){t&&(t.cancel(),t=null),n&&(n.dispose(),n=null)}});return r.event}function c(e){return function(t,n,r){void 0===n&&(n=null);var i=e(function(e){return i.dispose(),t.call(n,e)},null,r);return i}}function a(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];var r=[],i=new m({onFirstListenerAdd:function(){r=e.map(function(e){return e(function(e){return i.fire(e)})})},onLastListenerRemove:function(){r=n.dispose(r)}});return i.event}function u(e,t,n){void 0===n&&(n=100);var r,i,o,s=new m({onFirstListenerAdd:function(){r=e(function(e){i=t(i,e),clearTimeout(o),o=setTimeout(function(){var e=i;i=void 0,s.fire(e)},n)})},onLastListenerRemove:function(){r.dispose()}});return s.event}function l(e,t){return function(n,r,i){return void 0===r&&(r=null),e(function(e){return n.call(r,t(e))},null,i)}}function f(e,t){return function(n,r,i){return void 0===r&&(r=null),e(function(e){return t(e)&&n.call(r,e)},null,i)}}function p(e){return new y(e)}function h(e){var t=(new Date).getTime();return l(c(e),function(e){return(new Date).getTime()-t})}function d(e,t,n){void 0===t&&(t=!1),void 0===n&&(n=[]),n=n.slice();var r=e(function(e){n?n.push(e):o.fire(e)}),i=function(){n.forEach(function(e){return o.fire(e)}),n=null},o=new m({onFirstListenerAdd:function(){r||(r=e(function(e){return o.fire(e)}))},onFirstListenerDidAdd:function(){n&&(t?setTimeout(i):i())},onLastListenerRemove:function(){r.dispose(),r=null}});return o.event}var v;!function(e){var t={dispose:function(){}};e.None=function(){return t}}(v||(v={})),Object.defineProperty(t,"__esModule",{value:!0}),t.default=v;var m=function(){function e(e){this._options=e}return Object.defineProperty(e.prototype,"event",{get:function(){var t=this;return this._event||(this._event=function(n,i,o){t._callbacks||(t._callbacks=new r.default);var s=t._callbacks.isEmpty();s&&t._options&&t._options.onFirstListenerAdd&&t._options.onFirstListenerAdd(t),t._callbacks.add(n,i),s&&t._options&&t._options.onFirstListenerDidAdd&&t._options.onFirstListenerDidAdd(t);var c;return c={dispose:function(){c.dispose=e._noop,t._disposed||(t._callbacks.remove(n,i),t._options&&t._options.onLastListenerRemove&&t._callbacks.isEmpty()&&t._options.onLastListenerRemove(t))}},Array.isArray(o)&&o.push(c),c}),this._event},enumerable:!0,configurable:!0}),e.prototype.fire=function(e){this._callbacks&&this._callbacks.invoke.call(this._callbacks,e)},e.prototype.dispose=function(){this._callbacks&&(this._callbacks.dispose(),this._callbacks=void 0,this._disposed=!0)},e._noop=function(){},e}();t.Emitter=m,t.fromEventEmitter=i,t.fromPromise=o,t.delayed=s,t.once=c,t.any=a,t.debounceEvent=u;var _=function(){function e(){this.buffers=[]}return e.prototype.wrapEvent=function(e){var t=this;return function(n,r,i){return e(function(e){var i=t.buffers[t.buffers.length-1];i?i.push(function(){return n.call(r,e)}):n.call(r,e)},void 0,i)}},e.prototype.bufferEvents=function(e){var t=[];this.buffers.push(t),e(),this.buffers.pop(),t.forEach(function(e){return e()})},e}();t.EventBufferer=_,t.mapEvent=l,t.filterEvent=f;var y=function(){function e(e){this._event=e}return Object.defineProperty(e.prototype,"event",{get:function(){return this._event},enumerable:!0,configurable:!0}),e.prototype.map=function(t){return new e(l(this._event,t))},e.prototype.filter=function(t){return new e(f(this._event,t))},e.prototype.on=function(e,t,n){return this._event(e,t,n)},e}();t.chain=p,t.stopwatch=h,t.buffer=d}),define(e[10],t([1,0,3]),function(e,t,n){"use strict";var r,i=Object.freeze(function(e,t){var n=setTimeout(e.bind(t),0);return{dispose:function(){clearTimeout(n)}}});!function(e){e.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:n.default.None}),e.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:i})}(r=t.CancellationToken||(t.CancellationToken={}));var o=function(){function e(){this._isCancelled=!1}return e.prototype.cancel=function(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this._emitter=void 0))},Object.defineProperty(e.prototype,"isCancellationRequested",{get:function(){return this._isCancelled},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onCancellationRequested",{get:function(){return this._isCancelled?i:(this._emitter||(this._emitter=new n.Emitter),this._emitter.event)},enumerable:!0,configurable:!0}),e}(),s=function(){function e(){}return Object.defineProperty(e.prototype,"token",{get:function(){return this._token||(this._token=new o),this._token},enumerable:!0,configurable:!0}),e.prototype.cancel=function(){this._token?this._token.cancel():this._token=r.Cancelled},e.prototype.dispose=function(){this.cancel()},e}();t.CancellationTokenSource=s}),define(e[8],t([1,0,4]),function(e,t,n){"use strict";function r(e){if(!e||"object"!=typeof e)return e;if(e instanceof RegExp)return e;var t=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(n){e[n]&&"object"==typeof e[n]?t[n]=r(e[n]):t[n]=e[n]}),t}function i(e){if(!e||"object"!=typeof e)return e;var t=Array.isArray(e)?[]:{};return Object.getOwnPropertyNames(e).forEach(function(n){e[n]&&"object"==typeof e[n]?t[n]=i(e[n]):t[n]=e[n]}),t}function o(e,t){return s(e,t,[])}function s(e,t,r){if(n.isUndefinedOrNull(e))return e;var i=t(e);if("undefined"!=typeof i)return i;if(n.isArray(e)){for(var o=[],c=0;c<e.length;c++)o.push(s(e[c],t,r));return o}if(n.isObject(e)){if(r.indexOf(e)>=0)throw new Error("Cannot clone recursive data-structure");r.push(e);var a={};for(var u in e)_.call(e,u)&&(a[u]=s(e[u],t,r));return r.pop(),a}return e}function c(e,t,r){return void 0===r&&(r=!0),n.isObject(e)?(n.isObject(t)&&Object.keys(t).forEach(function(i){i in e?r&&(n.isObject(e[i])&&n.isObject(t[i])?c(e[i],t[i],r):e[i]=t[i]):e[i]=t[i]}),e):t}function a(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.forEach(function(t){return Object.keys(t).forEach(function(n){return e[n]=t[n]})}),e}function u(e,t,n){return void 0===n&&(n=function(e){return e}),e.reduce(function(e,r){return a(e,(i={},i[t(r)]=n(r),i));var i},Object.create(null))}function l(e,t){if(e===t)return!0;if(null===e||void 0===e||null===t||void 0===t)return!1;if(typeof e!=typeof t)return!1;if("object"!=typeof e)return!1;if(Array.isArray(e)!==Array.isArray(t))return!1;var n,r;if(Array.isArray(e)){if(e.length!==t.length)return!1;for(n=0;n<e.length;n++)if(!l(e[n],t[n]))return!1}else{var i=[];for(r in e)i.push(r);i.sort();var o=[];for(r in t)o.push(r);if(o.sort(),!l(i,o))return!1;for(n=0;n<i.length;n++)if(!l(e[i[n]],t[i[n]]))return!1}return!0}function f(e,t,n){"undefined"==typeof e[t]&&(e[t]=n)}function p(e){for(var t={},n=0;n<e.length;++n)t[e[n]]=!0;return t}function h(e,t){void 0===t&&(t=!1),t&&(e=e.map(function(e){return e.toLowerCase()}));var n=p(e);return t?function(e){return void 0!==n[e.toLowerCase()]&&n.hasOwnProperty(e.toLowerCase())}:function(e){return void 0!==n[e]&&n.hasOwnProperty(e)}}function d(e,t){for(var n in e)e.hasOwnProperty(n)&&(t[n]=e[n]);t=t||function(){};var r=e.prototype,i=t.prototype;t.prototype=Object.create(r);for(var n in i)i.hasOwnProperty(n)&&Object.defineProperty(t.prototype,n,Object.getOwnPropertyDescriptor(i,n));Object.defineProperty(t.prototype,"constructor",{value:t,writable:!0,configurable:!0,enumerable:!0})}function v(e){var t=[];return JSON.stringify(e,function(e,r){if(n.isObject(r)||Array.isArray(r)){if(t.indexOf(r)!==-1)return"[Circular]";t.push(r)}return r})}function m(e,t,n){void 0===n&&(n=null);var r=t(e);return"undefined"==typeof r?n:r}t.clone=r,t.deepClone=i;var _=Object.prototype.hasOwnProperty;t.cloneAndChange=o,t.mixin=c,t.assign=a,t.toObject=u,t.equals=l,t.ensureProperty=f,t.arrayToHash=p,t.createKeywordMatcher=h,t.derive=d,t.safeStringify=v,t.getOrDefault=m}),function(){var e={};e["WinJS/Core/_WinJS"]={};var t=function(t,n,r){var i={},o=!1,s=n.map(function(t){return"exports"===t?(o=!0,i):e[t]}),c=r.apply({},s);e[t]=o?i:c};t("WinJS/Core/_Global",[],function(){"use strict";var e="undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:{};return e}),t("WinJS/Core/_BaseCoreUtils",["WinJS/Core/_Global"],function(e){"use strict";function t(e){return e.supportedForProcessing=!0,e}var n=!!e.Windows;return{hasWinRT:n,markSupportedForProcessing:t,_setImmediate:e.setImmediate?e.setImmediate.bind(e):function(t){e.setTimeout(t,0)}}}),t("WinJS/Core/_WriteProfilerMark",["WinJS/Core/_Global"],function(e){"use strict";return e.msWriteProfilerMark||function(){}}),t("WinJS/Core/_Base",["WinJS/Core/_WinJS","WinJS/Core/_Global","WinJS/Core/_BaseCoreUtils","WinJS/Core/_WriteProfilerMark"],function(e,t,n,r){"use strict";function i(e,t,n){var r,i,o,s=Object.keys(t),c=Array.isArray(e);for(i=0,o=s.length;i<o;i++){var a=s[i],u=95!==a.charCodeAt(0),l=t[a];!l||"object"!=typeof l||void 0===l.value&&"function"!=typeof l.get&&"function"!=typeof l.set?u?c?e.forEach(function(e){e[a]=l}):e[a]=l:(r=r||{},r[a]={value:l,enumerable:u,configurable:!0,writable:!0}):(void 0===l.enumerable&&(l.enumerable=u),n&&l.setName&&"function"==typeof l.setName&&l.setName(n+"."+a),r=r||{},r[a]=l)}r&&(c?e.forEach(function(e){Object.defineProperties(e,r)}):Object.defineProperties(e,r))}return function(){function n(n,r){var i=n||{};if(r){var o=r.split(".");i===t&&"WinJS"===o[0]&&(i=e,o.splice(0,1));for(var s=0,c=o.length;s<c;s++){var a=o[s];i[a]||Object.defineProperty(i,a,{value:{},writable:!1,enumerable:!0,configurable:!0}),i=i[a]}}return i}function o(e,t,r){var o=n(e,t);return r&&i(o,r,t||"<ANONYMOUS>"),o}function s(e,n){return o(t,e,n)}function c(e){var t,n,i=l.uninitialized;return{setName:function(e){t=e},get:function(){switch(i){case l.initialized:return n;case l.uninitialized:i=l.working;try{r("WinJS.Namespace._lazy:"+t+",StartTM"),n=e()}finally{r("WinJS.Namespace._lazy:"+t+",StopTM"),i=l.uninitialized}return e=null,i=l.initialized,n;case l.working:throw"Illegal: reentrancy on initialization";default:throw"Illegal"}},set:function(e){switch(i){case l.working:throw"Illegal: reentrancy on initialization";default:i=l.initialized,n=e}},enumerable:!0,configurable:!0}}function a(e,r,o){var s=[e],c=null;return r&&(c=n(t,r),s.push(c)),i(s,o,r||"<ANONYMOUS>"),c}var u=e;u.Namespace||(u.Namespace=Object.create(Object.prototype));var l={uninitialized:1,working:2,initialized:3};Object.defineProperties(u.Namespace,{defineWithParent:{value:o,writable:!0,enumerable:!0,configurable:!0},define:{value:s,writable:!0,enumerable:!0,configurable:!0},_lazy:{value:c,writable:!0,enumerable:!0,configurable:!0},_moduleDefine:{value:a,writable:!0,enumerable:!0,configurable:!0}})}(),function(){function t(e,t,r){return e=e||function(){},n.markSupportedForProcessing(e),t&&i(e.prototype,t),r&&i(e,r),e}function r(e,r,o,s){if(e){r=r||function(){};var c=e.prototype;return r.prototype=Object.create(c),n.markSupportedForProcessing(r),Object.defineProperty(r.prototype,"constructor",{value:r,writable:!0,configurable:!0,enumerable:!0}),o&&i(r.prototype,o),s&&i(r,s),r}return t(r,o,s)}function o(e){e=e||function(){};var t,n;for(t=1,n=arguments.length;t<n;t++)i(e.prototype,arguments[t]);return e}e.Namespace.define("WinJS.Class",{define:t,derive:r,mix:o})}(),{Namespace:e.Namespace,Class:e.Class}}),t("WinJS/Core/_ErrorFromName",["WinJS/Core/_Base"],function(e){"use strict";var t=e.Class.derive(Error,function(e,t){this.name=e,this.message=t||e},{},{supportedForProcessing:!1});return e.Namespace.define("WinJS",{ErrorFromName:t}),t}),t("WinJS/Core/_Events",["exports","WinJS/Core/_Base"],function(e,t){"use strict";function n(e){var t="_on"+e+"state";return{get:function(){var e=this[t];return e&&e.userHandler},set:function(n){var r=this[t];n?(r||(r={wrapper:function(e){return r.userHandler(e)},userHandler:n},Object.defineProperty(this,t,{value:r,enumerable:!1,writable:!0,configurable:!0}),this.addEventListener(e,r.wrapper,!1)),r.userHandler=n):r&&(this.removeEventListener(e,r.wrapper,!1),this[t]=null)},enumerable:!0}}function r(){for(var e={},t=0,r=arguments.length;t<r;t++){var i=arguments[t];e["on"+i]=n(i)}return e}var i=t.Class.define(function(e,t,n){this.detail=t,this.target=n,this.timeStamp=Date.now(),this.type=e},{bubbles:{value:!1,writable:!1},cancelable:{value:!1,writable:!1},currentTarget:{get:function(){return this.target}},defaultPrevented:{get:function(){return this._preventDefaultCalled}},trusted:{value:!1,writable:!1},eventPhase:{value:0,writable:!1},target:null,timeStamp:null,type:null,preventDefault:function(){this._preventDefaultCalled=!0},stopImmediatePropagation:function(){this._stopImmediatePropagationCalled=!0},stopPropagation:function(){}},{supportedForProcessing:!1}),o={_listeners:null,addEventListener:function(e,t,n){n=n||!1,this._listeners=this._listeners||{};for(var r=this._listeners[e]=this._listeners[e]||[],i=0,o=r.length;i<o;i++){var s=r[i];if(s.useCapture===n&&s.listener===t)return}r.push({listener:t,useCapture:n})},dispatchEvent:function(e,t){var n=this._listeners&&this._listeners[e];if(n){var r=new i(e,t,this);n=n.slice(0,n.length);for(var o=0,s=n.length;o<s&&!r._stopImmediatePropagationCalled;o++)n[o].listener(r);return r.defaultPrevented||!1}return!1},removeEventListener:function(e,t,n){n=n||!1;var r=this._listeners&&this._listeners[e];if(r)for(var i=0,o=r.length;i<o;i++){var s=r[i];if(s.listener===t&&s.useCapture===n){r.splice(i,1),0===r.length&&delete this._listeners[e];break}}}};t.Namespace._moduleDefine(e,"WinJS.Utilities",{_createEventProperty:n,createEventProperties:r,eventMixin:o})}),t("WinJS/Core/_Trace",["WinJS/Core/_Global"],function(e){"use strict";function t(e){return e}return{_traceAsyncOperationStarting:e.Debug&&e.Debug.msTraceAsyncOperationStarting&&e.Debug.msTraceAsyncOperationStarting.bind(e.Debug)||t,_traceAsyncOperationCompleted:e.Debug&&e.Debug.msTraceAsyncOperationCompleted&&e.Debug.msTraceAsyncOperationCompleted.bind(e.Debug)||t,_traceAsyncCallbackStarting:e.Debug&&e.Debug.msTraceAsyncCallbackStarting&&e.Debug.msTraceAsyncCallbackStarting.bind(e.Debug)||t,_traceAsyncCallbackCompleted:e.Debug&&e.Debug.msTraceAsyncCallbackCompleted&&e.Debug.msTraceAsyncCallbackCompleted.bind(e.Debug)||t}}),t("WinJS/Promise/_StateMachine",["WinJS/Core/_Global","WinJS/Core/_BaseCoreUtils","WinJS/Core/_Base","WinJS/Core/_ErrorFromName","WinJS/Core/_Events","WinJS/Core/_Trace"],function(e,t,n,r,i,o){"use strict";function s(){}function c(e,t){var n;n=t&&"object"==typeof t&&"function"==typeof t.then?q:I,e._value=t,e._setState(n)}function a(e,t,n,r,i,o){return{exception:e,error:t,promise:n,handler:o,id:r,parent:i}}function u(e,t,n,r){var i=n._isException,o=n._errorId;return a(i?t:null,i?null:t,e,o,n,r)}function l(e,t,n){var r=n._isException,i=n._errorId;return b(e,i,r),a(r?t:null,r?null:t,e,i,n)}function f(e,t){var n=++M;return b(e,n),a(null,t,e,n)}function p(e,t){var n=++M;return b(e,n,!0),a(t,null,e,n)}function h(e,t,n,r){var i=o._traceAsyncOperationStarting("WinJS.Promise.done");g(e,{c:t,e:n,p:r,asyncOpID:i})}function d(e,t,n,r){e._value=t,_(e,t,n,r),e._setState(F)}function v(t,n){var r=t._value,i=t._listeners;if(i){t._listeners=null;var s,c;for(s=0,c=Array.isArray(i)?i.length:1;s<c;s++){var a=1===c?i:i[s],u=a.c,l=a.promise;if(o._traceAsyncOperationCompleted(a.asyncOpID,e.Debug&&e.Debug.MS_ASYNC_OP_STATUS_SUCCESS),l){o._traceAsyncCallbackStarting(a.asyncOpID);try{l._setCompleteValue(u?u(r):r)}catch(e){l._setExceptionValue(e)}finally{o._traceAsyncCallbackCompleted()}l._state!==q&&l._listeners&&n.push(l)}else Y.prototype.done.call(t,u)}}}function m(t,n){var r=t._value,i=t._listeners;if(i){t._listeners=null;var s,c;for(s=0,c=Array.isArray(i)?i.length:1;s<c;s++){var a=1===c?i:i[s],l=a.e,f=a.promise,p=e.Debug&&(r&&r.name===j?e.Debug.MS_ASYNC_OP_STATUS_CANCELED:e.Debug.MS_ASYNC_OP_STATUS_ERROR);if(o._traceAsyncOperationCompleted(a.asyncOpID,p),f){var h=!1;try{l?(o._traceAsyncCallbackStarting(a.asyncOpID),h=!0,l.handlesOnError||_(f,r,u,t,l),f._setCompleteValue(l(r))):f._setChainedErrorValue(r,t)}catch(e){f._setExceptionValue(e)}finally{h&&o._traceAsyncCallbackCompleted()}f._state!==q&&f._listeners&&n.push(f)}else B.prototype.done.call(t,null,l)}}}function _(e,t,n,r,i){if(O._listeners[A]){if(t instanceof Error&&t.message===j)return;O.dispatchEvent(A,n(e,t,r,i))}}function y(e,t){var n=e._listeners;if(n){var r,i;for(r=0,i=Array.isArray(n)?n.length:1;r<i;r++){var o=1===i?n:n[r],s=o.p;if(s)try{s(t)}catch(e){}o.c||o.e||!o.promise||o.promise._progress(t)}}}function g(e,t){var n=e._listeners;n?(n=Array.isArray(n)?n:[n],n.push(t)):n=t,e._listeners=n}function b(e,t,n){e._isException=n||!1,e._errorId=t}function C(e,t,n,r){e._value=t,_(e,t,n,r),e._setState(U)}function P(e,t){var n;n=t&&"object"==typeof t&&"function"==typeof t.then?q:J,e._value=t,e._setState(n)}function E(e,t,n,r){var i=new H(e),s=o._traceAsyncOperationStarting("WinJS.Promise.then");return g(e,{promise:i,c:t,e:n,p:r,asyncOpID:s}),i}function w(n){var r;return new Q(function(i){n?r=e.setTimeout(i,n):t._setImmediate(i)},function(){r&&e.clearTimeout(r)})}function k(e,t){var n=function(){t.cancel()},r=function(){e.cancel()};return e.then(n),t.then(r,r),t}e.Debug&&(e.Debug.setNonUserCodeExceptions=!0);var S=n.Class.mix(n.Class.define(null,{},{supportedForProcessing:!1}),i.eventMixin),O=new S;O._listeners={};var A="error",j="Canceled",T=!1,R={promise:1,thenPromise:2,errorPromise:4,exceptionPromise:8,completePromise:16};R.all=R.promise|R.thenPromise|R.errorPromise|R.exceptionPromise|R.completePromise;var x,D,q,L,W,N,I,J,F,U,M=1;x={name:"created",enter:function(e){e._setState(D)},cancel:s,done:s,then:s,_completed:s,_error:s,_notify:s,_progress:s,_setCompleteValue:s,_setErrorValue:s},D={name:"working",enter:s,cancel:function(e){e._setState(W)},done:h,then:E,_completed:c,_error:d,_notify:s,_progress:y,_setCompleteValue:P,_setErrorValue:C},q={name:"waiting",enter:function(e){var t=e._value;if(t instanceof H&&t._state!==U&&t._state!==J)g(t,{promise:e});else{var n=function(r){t._errorId?e._chainedError(r,t):(_(e,r,u,t,n),e._error(r))};n.handlesOnError=!0,t.then(e._completed.bind(e),n,e._progress.bind(e))}},cancel:function(e){e._setState(L)},done:h,then:E,_completed:c,_error:d,_notify:s,_progress:y,_setCompleteValue:P,_setErrorValue:C},L={name:"waiting_canceled",enter:function(e){e._setState(N);var t=e._value;t.cancel&&t.cancel()},cancel:s,done:h,then:E,_completed:c,_error:d,_notify:s,_progress:y,_setCompleteValue:P,_setErrorValue:C},W={name:"canceled",enter:function(e){e._setState(N),e._cancelAction()},cancel:s,done:h,then:E,_completed:c,_error:d,_notify:s,_progress:y,_setCompleteValue:P,_setErrorValue:C},N={name:"canceling",enter:function(e){var t=new Error(j);t.name=t.message,e._value=t,e._setState(F)},cancel:s,done:s,then:s,_completed:s,_error:s,_notify:s,_progress:s,_setCompleteValue:s,_setErrorValue:s},I={name:"complete_notify",enter:function(e){if(e.done=Y.prototype.done,e.then=Y.prototype.then,e._listeners)for(var t,n=[e];n.length;)t=n.shift(),t._state._notify(t,n);e._setState(J)},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:v,_progress:s,_setCompleteValue:s,_setErrorValue:s},J={name:"success",enter:function(e){e.done=Y.prototype.done,e.then=Y.prototype.then,e._cleanupAction()},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:v,_progress:s,_setCompleteValue:s,_setErrorValue:s},F={name:"error_notify",enter:function(e){if(e.done=B.prototype.done,e.then=B.prototype.then,e._listeners)for(var t,n=[e];n.length;)t=n.shift(),t._state._notify(t,n);e._setState(U)},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:m,_progress:s,_setCompleteValue:s,_setErrorValue:s},U={name:"error",enter:function(e){e.done=B.prototype.done,e.then=B.prototype.then,e._cleanupAction()},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:m,_progress:s,_setCompleteValue:s,_setErrorValue:s};var V,z=n.Class.define(null,{_listeners:null,_nextState:null,_state:null,_value:null,cancel:function(){this._state.cancel(this),this._run()},done:function(e,t,n){this._state.done(this,e,t,n)},then:function(e,t,n){return this._state.then(this,e,t,n)},_chainedError:function(e,t){var n=this._state._error(this,e,l,t);return this._run(),n},_completed:function(e){var t=this._state._completed(this,e);return this._run(),t},_error:function(e){var t=this._state._error(this,e,f);return this._run(),t},_progress:function(e){this._state._progress(this,e)},_setState:function(e){this._nextState=e},_setCompleteValue:function(e){this._state._setCompleteValue(this,e),this._run()},_setChainedErrorValue:function(e,t){var n=this._state._setErrorValue(this,e,l,t);return this._run(),n},_setExceptionValue:function(e){var t=this._state._setErrorValue(this,e,p);return this._run(),t},_run:function(){for(;this._nextState;)this._state=this._nextState,this._nextState=null,this._state.enter(this)}},{supportedForProcessing:!1}),H=n.Class.derive(z,function(e){T&&(T===!0||T&R.thenPromise)&&(this._stack=Q._getStack()),this._creator=e,this._setState(x),this._run()},{_creator:null,_cancelAction:function(){this._creator&&this._creator.cancel()},_cleanupAction:function(){this._creator=null}},{supportedForProcessing:!1}),B=n.Class.define(function(e){T&&(T===!0||T&R.errorPromise)&&(this._stack=Q._getStack()),this._value=e,_(this,e,f)},{cancel:function(){},done:function(e,t){var n=this._value;if(t)try{t.handlesOnError||_(null,n,u,this,t);var r=t(n);return void(r&&"object"==typeof r&&"function"==typeof r.done&&r.done())}catch(e){n=e}n instanceof Error&&n.message===j||Q._doneHandler(n)},then:function(e,t){if(!t)return this;var n,r=this._value;try{t.handlesOnError||_(null,r,u,this,t),n=new Y(t(r))}catch(e){n=e===r?this:new G(e)}return n}},{supportedForProcessing:!1}),G=n.Class.derive(B,function(e){T&&(T===!0||T&R.exceptionPromise)&&(this._stack=Q._getStack()),this._value=e,_(this,e,p)},{},{supportedForProcessing:!1}),Y=n.Class.define(function(e){if(T&&(T===!0||T&R.completePromise)&&(this._stack=Q._getStack()),e&&"object"==typeof e&&"function"==typeof e.then){var t=new H(null);return t._setCompleteValue(e),t}this._value=e},{cancel:function(){},done:function(e){if(e)try{var t=e(this._value);t&&"object"==typeof t&&"function"==typeof t.done&&t.done()}catch(e){Q._doneHandler(e)}},then:function(e){try{var t=e?e(this._value):this._value;return t===this._value?this:new Y(t)}catch(e){return new G(e)}}},{supportedForProcessing:!1}),Q=n.Class.derive(z,function(e,t){T&&(T===!0||T&R.promise)&&(this._stack=Q._getStack()),this._oncancel=t,this._setState(x),this._run();try{var n=this._completed.bind(this),r=this._error.bind(this),i=this._progress.bind(this);e(n,r,i)}catch(e){this._setExceptionValue(e)}},{_oncancel:null,_cancelAction:function(){try{if(!this._oncancel)throw new Error("Promise did not implement oncancel");this._oncancel()}catch(e){e.message,e.stack;O.dispatchEvent("error",e)}},_cleanupAction:function(){this._oncancel=null}},{addEventListener:function(e,t,n){
O.addEventListener(e,t,n)},any:function(e){return new Q(function(t,n){var r=Object.keys(e);0===r.length&&t();var i=0;r.forEach(function(o){Q.as(e[o]).then(function(){t({key:o,value:e[o]})},function(s){return s instanceof Error&&s.name===j?void(++i===r.length&&t(Q.cancel)):void n({key:o,value:e[o]})})})},function(){var t=Object.keys(e);t.forEach(function(t){var n=Q.as(e[t]);"function"==typeof n.cancel&&n.cancel()})})},as:function(e){return e&&"object"==typeof e&&"function"==typeof e.then?e:new Y(e)},cancel:{get:function(){return V=V||new B(new r(j))}},dispatchEvent:function(e,t){return O.dispatchEvent(e,t)},is:function(e){return e&&"object"==typeof e&&"function"==typeof e.then},join:function(e){return new Q(function(t,n,r){var i=Object.keys(e),o=Array.isArray(e)?[]:{},s=Array.isArray(e)?[]:{},c=0,a=i.length,u=function(e){if(0===--a){var c=Object.keys(o).length;if(0===c)t(s);else{var u=0;i.forEach(function(e){var t=o[e];t instanceof Error&&t.name===j&&u++}),u===c?t(Q.cancel):n(o)}}else r({Key:e,Done:!0})};if(i.forEach(function(t){var n=e[t];void 0===n?c++:Q.then(n,function(e){s[t]=e,u(t)},function(e){o[t]=e,u(t)})}),a-=c,0===a)return void t(s)},function(){Object.keys(e).forEach(function(t){var n=Q.as(e[t]);"function"==typeof n.cancel&&n.cancel()})})},removeEventListener:function(e,t,n){O.removeEventListener(e,t,n)},supportedForProcessing:!1,then:function(e,t,n,r){return Q.as(e).then(t,n,r)},thenEach:function(e,t,n,r){var i=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(o){i[o]=Q.as(e[o]).then(t,n,r)}),Q.join(i)},timeout:function(e,t){var n=w(e);return t?k(n,t):n},wrap:function(e){return new Y(e)},wrapError:function(e){return new B(e)},_veryExpensiveTagWithStack:{get:function(){return T},set:function(e){T=e}},_veryExpensiveTagWithStack_tag:R,_getStack:function(){if(e.Debug&&e.Debug.debuggerEnabled)try{throw new Error}catch(e){return e.stack}},_cancelBlocker:function(e,t){if(!Q.is(e))return Q.wrap(e);var n,r,i=new Q(function(e,t){n=e,r=t},function(){n=null,r=null,t&&t()});return e.then(function(e){n&&n(e)},function(e){r&&r(e)}),i}});return Object.defineProperties(Q,i.createEventProperties(A)),Q._doneHandler=function(e){t._setImmediate(function(){throw e})},{PromiseStateMachine:z,Promise:Q,state_created:x}}),t("WinJS/Promise",["WinJS/Core/_Base","WinJS/Promise/_StateMachine"],function(e,t){"use strict";return e.Namespace.define("WinJS",{Promise:t.Promise}),t.Promise});var n=e["WinJS/Core/_WinJS"];"undefined"==typeof exports&&"function"==typeof define&&define.amd?define("vs/base/common/winjs.base.raw",n):module.exports=n,"undefined"!=typeof process&&"function"==typeof process.nextTick&&(e["WinJS/Core/_BaseCoreUtils"]._setImmediate=function(e){return process.nextTick(e)})}(),define(e[2],t([18,5]),function(e,t){"use strict";function n(e){var n=e.detail,i=n.id;return n.parent?void(n.handler&&r&&delete r[i]):(r[i]=n,void(1===Object.keys(r).length&&setTimeout(function(){var e=r;r={},Object.keys(e).forEach(function(n){var r=e[n];r.exception?t.onUnexpectedError(r.exception):r.error&&t.onUnexpectedError(r.error),console.log("WARNING: Promise with no error callback:"+r.id),console.log(r),r.exception&&console.log(r.exception.stack)})},0)))}var r={};return e.Promise.addEventListener("error",n),{Promise:e.Promise,TPromise:e.Promise,PPromise:e.Promise}}),define(e[12],t([1,0,5,7,2,10,6,3]),function(e,t,r,i,o,s,c,a){"use strict";function u(e){return e&&"function"==typeof e.then}function l(e){return u(e)?e:o.TPromise.as(e)}function f(e){var t=new s.CancellationTokenSource;return new o.TPromise(function(n,r,i){var s=e(t.token);s instanceof o.TPromise?s.then(n,r,i):u(s)?s.then(n,r):n(s)},function(){t.cancel()})}function p(e,t,n){var i=e.onCancellationRequested(function(){return t.cancel()});return n&&(t=t.then(void 0,function(e){if(!r.isPromiseCanceledError(e))return o.TPromise.wrapError(e)})),h(t,function(){return i.dispose()})}function h(e,t){return new o.TPromise(function(n,i,o){e.done(function(e){try{t(e)}catch(e){r.onUnexpectedError(e)}n(e)},function(e){try{t(e)}catch(e){r.onUnexpectedError(e)}i(e)},function(e){o(e)})},function(){e.cancel()})}function d(e){function t(){return e.length?e.pop()():null}function n(e){void 0!==e&&null!==e&&r.push(e);var i=t();return i?i.then(n):o.TPromise.as(r)}var r=[];return e=e.reverse(),o.TPromise.as(null).then(n)}function v(e,t){void 0===t&&(t=function(e){return!!e}),e=e.reverse().slice();var n=function(){if(0===e.length)return o.TPromise.as(null);var r=e.pop(),i=r();return i.then(function(e){return t(e)?o.TPromise.as(e):n()})};return n()}function m(e){var t,n=this,r=!1;return function(){return r?t:(r=!0,t=e.apply(n,arguments))}}function _(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return new o.Promise(function(n,r){return e.apply(void 0,t.concat([function(e,t){return e?r(e):n(t)}]))})}function y(e,t){for(var n=[],r=2;r<arguments.length;r++)n[r-2]=arguments[r];return new o.Promise(function(r,i){return t.call.apply(t,[e].concat(n,[function(e,t){return e?i(e):r(t)}]))})}t.toThenable=l,t.asWinJsPromise=f,t.wireCancellationToken=p;var g=function(){function e(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}return e.prototype.queue=function(e){var t=this;if(this.activePromise){if(this.queuedPromiseFactory=e,!this.queuedPromise){var n=function(){t.queuedPromise=null;var e=t.queue(t.queuedPromiseFactory);return t.queuedPromiseFactory=null,e};this.queuedPromise=new o.Promise(function(e,r,i){t.activePromise.then(n,n,i).done(e)},function(){t.activePromise.cancel()})}return new o.Promise(function(e,n,r){t.queuedPromise.then(e,n,r)},function(){})}return this.activePromise=e(),new o.Promise(function(e,n,r){t.activePromise.done(function(n){t.activePromise=null,e(n)},function(e){t.activePromise=null,n(e)},r)},function(){t.activePromise.cancel()})},e}();t.Throttler=g;var b=function(){function e(){this.current=o.TPromise.as(null)}return e.prototype.queue=function(e){return this.current=this.current.then(function(){return e()})},e}();t.SimpleThrottler=b;var C=function(){function e(e){this.defaultDelay=e,this.timeout=null,this.completionPromise=null,this.onSuccess=null,this.task=null}return e.prototype.trigger=function(e,t){var n=this;return void 0===t&&(t=this.defaultDelay),this.task=e,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new o.Promise(function(e){n.onSuccess=e},function(){}).then(function(){n.completionPromise=null,n.onSuccess=null;var e=n.task;return n.task=null,e()})),this.timeout=setTimeout(function(){n.timeout=null,n.onSuccess(null)},t),this.completionPromise},e.prototype.isTriggered=function(){return null!==this.timeout},e.prototype.cancel=function(){this.cancelTimeout(),this.completionPromise&&(this.completionPromise.cancel(),this.completionPromise=null)},e.prototype.cancelTimeout=function(){null!==this.timeout&&(clearTimeout(this.timeout),this.timeout=null)},e}();t.Delayer=C;var P=function(e){function t(t){e.call(this,t),this.throttler=new g}return n(t,e),t.prototype.trigger=function(t,n){var r=this;return e.prototype.trigger.call(this,function(){return r.throttler.queue(t)},n)},t}(C);t.ThrottledDelayer=P;var E=function(e){function t(t,n){void 0===n&&(n=0),e.call(this,t),this.minimumPeriod=n,this.periodThrottler=new g}return n(t,e),t.prototype.trigger=function(t,n){var r=this;return e.prototype.trigger.call(this,function(){return r.periodThrottler.queue(function(){return o.Promise.join([o.TPromise.timeout(r.minimumPeriod),t()]).then(function(e){return e[1]})})},n)},t}(P);t.PeriodThrottledDelayer=E;var w=function(){function e(){var e=this;this._value=new o.TPromise(function(t,n){e._completeCallback=t,e._errorCallback=n})}return Object.defineProperty(e.prototype,"value",{get:function(){return this._value},enumerable:!0,configurable:!0}),e.prototype.complete=function(e){this._completeCallback(e)},e.prototype.error=function(e){this._errorCallback(e)},e}();t.PromiseSource=w;var k=function(e){function t(t){var n,i,o;e.call(this,function(e,t,r){n=e,i=t,o=r},function(){i(r.canceled())}),t.then(n,i,o)}return n(t,e),t}(o.TPromise);t.ShallowCancelThenPromise=k,t.always=h,t.sequence=d,t.first=v,t.once=m;var S=function(){function e(e){this.maxDegreeOfParalellism=e,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new a.Emitter}return Object.defineProperty(e.prototype,"onFinished",{get:function(){return this._onFinished.event},enumerable:!0,configurable:!0}),e.prototype.queue=function(e){var t=this;return new o.TPromise(function(n,r,i){t.outstandingPromises.push({factory:e,c:n,e:r,p:i}),t.consume()})},e.prototype.consume=function(){for(var e=this;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){var t=this.outstandingPromises.shift();this.runningPromises++;var n=t.factory();n.done(t.c,t.e,t.p),n.done(function(){return e.consumed()},function(){return e.consumed()})}},e.prototype.consumed=function(){this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()},e.prototype.dispose=function(){this._onFinished.dispose()},e}();t.Limiter=S;var O=function(e){function t(){e.call(this,1)}return n(t,e),t}(S);t.Queue=O;var A=function(e){function t(){e.call(this),this._token=-1}return n(t,e),t.prototype.dispose=function(){this.cancel(),e.prototype.dispose.call(this)},t.prototype.cancel=function(){this._token!==-1&&(i.clearTimeout(this._token),this._token=-1)},t.prototype.cancelAndSet=function(e,t){var n=this;this.cancel(),this._token=i.setTimeout(function(){n._token=-1,e()},t)},t.prototype.setIfNotSet=function(e,t){var n=this;this._token===-1&&(this._token=i.setTimeout(function(){n._token=-1,e()},t))},t}(c.Disposable);t.TimeoutTimer=A;var j=function(e){function t(){e.call(this),this._token=-1}return n(t,e),t.prototype.dispose=function(){this.cancel(),e.prototype.dispose.call(this)},t.prototype.cancel=function(){this._token!==-1&&(i.clearInterval(this._token),this._token=-1)},t.prototype.cancelAndSet=function(e,t){this.cancel(),this._token=i.setInterval(function(){e()},t)},t}(c.Disposable);t.IntervalTimer=j;var T=function(){function e(e,t){this.timeoutToken=-1,this.runner=e,this.timeout=t,this.timeoutHandler=this.onTimeout.bind(this)}return e.prototype.dispose=function(){this.cancel(),this.runner=null},e.prototype.cancel=function(){this.isScheduled()&&(i.clearTimeout(this.timeoutToken),this.timeoutToken=-1)},e.prototype.setRunner=function(e){this.runner=e},e.prototype.schedule=function(e){void 0===e&&(e=this.timeout),this.cancel(),this.timeoutToken=i.setTimeout(this.timeoutHandler,e)},e.prototype.isScheduled=function(){return this.timeoutToken!==-1},e.prototype.onTimeout=function(){this.timeoutToken=-1,this.runner&&this.runner()},e}();t.RunOnceScheduler=T,t.nfcall=_,t.ninvoke=y}),define(e[13],t([1,0,3]),function(e,t,n){"use strict";function r(e,t,r){void 0===r&&(r=function(e){return e});var i=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return c.fire(r.apply(void 0,e))},o=function(){return e.on(t,i)},s=function(){return e.removeListener(t,i)},c=new n.Emitter({onFirstListenerAdd:o,onLastListenerRemove:s});return c.event}t.fromEventEmitter=r}),define(e[14],t([1,0,2,6,3]),function(e,t,n,r,i){"use strict";function o(e){return e>=l.ResponseInitialize}function s(e){var t=function(t,n){return e.then(function(e){return e.call(t,n)})};return{call:t}}function c(e){var t=!1,r=function(r,i){return t?e.call(r,i):n.TPromise.timeout(0).then(function(){return t=!0}).then(function(){return e.call(r,i)})};return{call:r}}function a(e,t){void 0===t&&(t=function(e){return e});var r;return new n.Promise(function(n,i,o){return r=e(function(e){return o(t(e))})},function(){return r.dispose()})}function u(e,t,n,r){void 0===n&&(n=null),void 0===r&&(r=function(e){return e});var o,s=new i.Emitter({onFirstListenerAdd:function(){o=e.call(t,n).then(null,function(e){return null},function(e){return s.fire(r(e))})},onLastListenerRemove:function(){o.cancel(),o=null}});return s.event}var l;!function(e){e[e.RequestCommon=0]="RequestCommon",e[e.RequestCancel=1]="RequestCancel",e[e.ResponseInitialize=2]="ResponseInitialize",e[e.ResponseSuccess=3]="ResponseSuccess",e[e.ResponseProgress=4]="ResponseProgress",e[e.ResponseError=5]="ResponseError",e[e.ResponseErrorObj=6]="ResponseErrorObj"}(l||(l={}));var f;!function(e){e[e.Uninitialized=0]="Uninitialized",e[e.Idle=1]="Idle"}(f||(f={}));var p=function(){function e(e){var t=this;this.protocol=e,this.channels=Object.create(null),this.activeRequests=Object.create(null),this.protocolListener=this.protocol.onMessage(function(e){return t.onMessage(e)}),this.protocol.send({type:l.ResponseInitialize})}return e.prototype.registerChannel=function(e,t){this.channels[e]=t},e.prototype.onMessage=function(e){switch(e.type){case l.RequestCommon:this.onCommonRequest(e);break;case l.RequestCancel:this.onCancelRequest(e)}},e.prototype.onCommonRequest=function(e){var t,i=this,o=this.channels[e.channelName];try{t=o.call(e.name,e.arg)}catch(e){t=n.Promise.wrapError(e)}var s=e.id,c=t.then(function(t){i.protocol.send({id:s,data:t,type:l.ResponseSuccess}),delete i.activeRequests[e.id]},function(t){t instanceof Error?i.protocol.send({id:s,data:{message:t.message,name:t.name,stack:t.stack?t.stack.split("\n"):void 0},type:l.ResponseError}):i.protocol.send({id:s,data:t,type:l.ResponseErrorObj}),delete i.activeRequests[e.id]},function(e){i.protocol.send({id:s,data:e,type:l.ResponseProgress})});this.activeRequests[e.id]=r.toDisposable(function(){return c.cancel()})},e.prototype.onCancelRequest=function(e){var t=this.activeRequests[e.id];t&&(t.dispose(),delete this.activeRequests[e.id])},e.prototype.dispose=function(){var e=this;this.protocolListener.dispose(),this.protocolListener=null,Object.keys(this.activeRequests).forEach(function(t){e.activeRequests[t].dispose()}),this.activeRequests=null},e}();t.ChannelServer=p;var h=function(){function e(e){var t=this;this.protocol=e,this.state=f.Uninitialized,this.activeRequests=[],this.bufferedRequests=[],this.handlers=Object.create(null),this.lastRequestId=0,this.protocolListener=this.protocol.onMessage(function(e){return t.onMessage(e)})}return e.prototype.getChannel=function(e){var t=this,n=function(n,r){return t.request(e,n,r)};return{call:n}},e.prototype.request=function(e,t,n){var r=this,i={raw:{id:this.lastRequestId++,type:l.RequestCommon,channelName:e,name:t,arg:n}},o=this.state===f.Uninitialized?this.bufferRequest(i):this.doRequest(i);return this.activeRequests.push(o),o.then(null,function(e){return null}).done(function(){return r.activeRequests=r.activeRequests.filter(function(e){return e!==o})}),o},e.prototype.doRequest=function(e){var t=this,r=e.raw.id;return new n.Promise(function(n,i,o){t.handlers[r]=function(e){switch(e.type){case l.ResponseSuccess:delete t.handlers[r],n(e.data);break;case l.ResponseError:delete t.handlers[r];var s=new Error(e.data.message);s.stack=e.data.stack,s.name=e.data.name,i(s);break;case l.ResponseErrorObj:delete t.handlers[r],i(e.data);break;case l.ResponseProgress:o(e.data)}},t.send(e.raw)},function(){return t.send({id:r,type:l.RequestCancel})})},e.prototype.bufferRequest=function(e){var t=this,r=null;return new n.Promise(function(n,i,o){t.bufferedRequests.push(e),e.flush=function(){e.flush=null,r=t.doRequest(e).then(n,i,o)}},function(){if(e.flush=null,t.state!==f.Uninitialized)return void(r&&(r.cancel(),r=null));var n=t.bufferedRequests.indexOf(e);n!==-1&&t.bufferedRequests.splice(n,1)})},e.prototype.onMessage=function(e){if(o(e.type)){if(this.state===f.Uninitialized&&e.type===l.ResponseInitialize)return this.state=f.Idle,this.bufferedRequests.forEach(function(e){return e.flush&&e.flush()}),void(this.bufferedRequests=null);var t=this.handlers[e.id];t&&t(e)}},e.prototype.send=function(e){try{this.protocol.send(e)}catch(e){}},e.prototype.dispose=function(){this.protocolListener.dispose(),this.protocolListener=null,this.activeRequests.forEach(function(e){return e.cancel()}),this.activeRequests=[]},e}();t.ChannelClient=h;var d=function(){function e(e){var t=this;this.channels=Object.create(null),this.channelClients=Object.create(null),this.onClientAdded=new i.Emitter,e(function(e){var n=e.protocol,r=e.onDidClientDisconnect,o=i.once(n.onMessage);o(function(e){var i=new p(n),o=new h(n);Object.keys(t.channels).forEach(function(e){return i.registerChannel(e,t.channels[e])}),t.channelClients[e]=o,t.onClientAdded.fire(e),r(function(){i.dispose(),o.dispose(),delete t.channelClients[e]})})})}return e.prototype.getChannel=function(e,t){var r=this,i=function(i,o){var s=t.route(i,o);return s?r.getClient(s).then(function(t){return t.getChannel(e).call(i,o)}):n.TPromise.wrapError("Client id should be provided")};return{call:i}},e.prototype.registerChannel=function(e,t){this.channels[e]=t},e.prototype.getClient=function(e){var t=this,r=this.channelClients[e];return r?n.TPromise.as(r):new n.TPromise(function(n){var r=i.once(i.filterEvent(t.onClientAdded.event,function(t){return t===e}));r(function(){return n(t.channelClients[e])})})},e.prototype.dispose=function(){this.channels=null,this.channelClients=null,this.onClientAdded.dispose()},e}();t.IPCServer=d;var v=function(){function e(e,t){e.send(t),this.channelClient=new h(e),this.channelServer=new p(e)}return e.prototype.getChannel=function(e){return this.channelClient.getChannel(e)},e.prototype.registerChannel=function(e,t){this.channelServer.registerChannel(e,t)},e.prototype.dispose=function(){this.channelClient.dispose(),this.channelClient=null,this.channelServer.dispose(),this.channelServer=null},e}();t.IPCClient=v,t.getDelayedChannel=s,t.getNextTickChannel=c,t.eventToCall=a,t.eventFromCall=u}),define(e[9],t([1,0,17,2,12,8,3,13,14]),function(e,t,r,i,o,s,c,a,u){"use strict";var l=function(e){function t(){var t=this;e.call(this,{send:function(e){try{process.send(e)}catch(e){}},onMessage:a.fromEventEmitter(process,"message",function(e){return e})}),process.once("disconnect",function(){return t.dispose()})}return n(t,e),t}(u.ChannelServer);t.Server=l;var f=function(){function e(e,t){this.modulePath=e,this.options=t;var n=t&&t.timeout?t.timeout:6e4;this.disposeDelayer=new o.Delayer(n),this.activeRequests=[],this.child=null,this._client=null,this.channels=Object.create(null)}return e.prototype.getChannel=function(e){var t=this,n=function(n,r){return t.request(e,n,r)};return{call:n}},e.prototype.request=function(e,t,n){var r=this;if(!this.disposeDelayer)return i.Promise.wrapError("disposed");this.disposeDelayer.cancel();var o=this.channels[e]||(this.channels[e]=this.client.getChannel(e)),s=o.call(t,n),c=new i.Promise(function(e,t,n){s.then(e,t,n).done(function(){r.activeRequests&&(r.activeRequests.splice(r.activeRequests.indexOf(c),1),0===r.activeRequests.length&&r.disposeDelayer.trigger(function(){return r.disposeClient()}))})},function(){return s.cancel()});return this.activeRequests.push(c),c},Object.defineProperty(e.prototype,"client",{get:function(){var e=this;if(!this._client){var t=this.options&&this.options.args?this.options.args:[],n=Object.create(null);n.env=s.assign(s.clone(process.env),{VSCODE_PARENT_PID:String(process.pid)}),this.options&&this.options.env&&(n.env=s.assign(n.env,this.options.env)),this.options&&"number"==typeof this.options.debug&&(n.execArgv=["--nolazy","--debug="+this.options.debug]),this.options&&"number"==typeof this.options.debugBrk&&(n.execArgv=["--nolazy","--debug-brk="+this.options.debugBrk]),this.child=r.fork(this.modulePath,t,n);var i=new c.Emitter,o=a.fromEventEmitter(this.child,"message",function(e){return e});o(function(t){if(t&&"__$console"===t.type){var n=["%c[IPC Library: "+e.options.serverName+"]","color: darkgreen"];try{var r=JSON.parse(t.arguments);n=n.concat(Object.getOwnPropertyNames(r).map(function(e){return r[e]}))}catch(e){n.push(t.arguments)}return console[t.severity].apply(console,n),null}i.fire(t)});var l=function(t){return e.child&&e.child.connected&&e.child.send(t)},f=i.event,p={send:l,onMessage:f};this._client=new u.ChannelClient(p);var h=function(){return e.disposeClient()};process.once("exit",h),this.child.on("error",function(t){return console.warn('IPC "'+e.options.serverName+'" errored with '+t)}),this.child.on("exit",function(t,n){process.removeListener("exit",h),e.activeRequests&&(e.activeRequests.forEach(function(e){return e.cancel()}),e.activeRequests=[]),t&&"SIGTERM"!==n&&(console.warn('IPC "'+e.options.serverName+'" crashed with exit code '+t),e.disposeDelayer.cancel(),e.disposeClient())})}return this._client},enumerable:!0,configurable:!0}),e.prototype.disposeClient=function(){this._client&&(this.child.kill(),this.child=null,this._client=null,this.channels=Object.create(null))},e.prototype.dispose=function(){this.disposeDelayer.cancel(),this.disposeDelayer=null,this.disposeClient(),this.activeRequests=null},e}();t.Client=f}),define(e[16],t([1,0,2]),function(e,t,n){"use strict";var r=function(){function e(e){this.appender=e}return e.prototype.call=function(e,t){var r=t.eventName,i=t.data;return this.appender.log(r,i),n.TPromise.as(null)},e}();t.TelemetryAppenderChannel=r;var i=function(){function e(e){this.channel=e}return e.prototype.log=function(e,t){return this.channel.call("log",{eventName:e,data:t})},e.prototype.dispose=function(){},e}();t.TelemetryAppenderClient=i}),define(e[11],t([1,0,19,4,8,2]),function(e,t,n,r,i,o){"use strict";function s(){a===!1&&(n.setup("2588e01f-f6c9-4cd6-a348-143741f8d702").setAutoCollectConsole(!1).setAutoCollectExceptions(!1).setAutoCollectPerformance(!1).setAutoCollectRequests(!1),a=!0)}function c(e){s();var t=n.getClient(e);return t.channel.setOfflineMode(!0),t.context.tags[t.context.keys.deviceMachineName]="",0===e.indexOf("AIF-")&&(t.config.endpointUrl="https://vortex.data.microsoft.com/collect/v1"),t}var a=!1,u=function(){function e(e,t,n){this._eventPrefix=e,this._defaultData=t,this._defaultData||(this._defaultData=Object.create(null)),"string"==typeof n?this._aiClient=c(n):"function"==typeof n&&(this._aiClient=n())}return e._getData=function(t){var n=Object.create(null),r=Object.create(null),i=Object.create(null);e._flaten(t,i);for(var o in i){o=o.length>150?o.substr(o.length-149):o;var s=i[o];"number"==typeof s?r[o]=s:"boolean"==typeof s?r[o]=s?1:0:"string"==typeof s?n[o]=s.substring(0,1023):"undefined"!=typeof s&&null!==s&&(n[o]=s)}return{properties:n,measurements:r}},e._flaten=function(t,n,o,s){if(void 0===o&&(o=0),t)for(var c=0,a=Object.getOwnPropertyNames(t);c<a.length;c++){var u=a[c],l=t[u],f=s?s+u:u;Array.isArray(l)?n[f]=i.safeStringify(l):l instanceof Date?n[f]=l.toISOString():r.isObject(l)?o<2?e._flaten(l,n,o+1,f+"."):n[f]=i.safeStringify(l):n[f]=l}},e.prototype.log=function(t,n){if(this._aiClient){n=i.mixin(n,this._defaultData);var r=e._getData(n),o=r.properties,s=r.measurements;this._aiClient.trackEvent(this._eventPrefix+"/"+t,o,s)}},e.prototype.dispose=function(){var e=this;if(this._aiClient)return new o.TPromise(function(t){e._aiClient.sendPendingData(function(){e._aiClient=void 0,t(void 0)})})},e}();t.AppInsightsAppender=u}),define(e[20],t([1,0,9,11,16]),function(e,t,n,r,i){"use strict";var o=new r.AppInsightsAppender(process.argv[2],JSON.parse(process.argv[3]),process.argv[4]);process.once("exit",function(){return o.dispose()});var s=new i.TelemetryAppenderChannel(o),c=new n.Server;c.registerChannel("telemetryAppender",s)})}).call(this);
//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/5258902f7bba78359730b684e652ad0301f5b718/core/vs/workbench/parts/debug/node/telemetryApp.js.map
